Browse Source

Merge "oslo-config-generator: Fix ValueError"

changes/97/840597/1
Zuul 4 months ago committed by Gerrit Code Review
parent
commit
45e01c9071
  1. 6
      oslo_limit/opts.py
  2. 7
      releasenotes/notes/bug-1962406-e239d60400c726c8.yaml

6
oslo_limit/opts.py

@ -44,9 +44,9 @@ def list_opts():
return [(_option_group,
copy.deepcopy(_options) +
loading.get_session_conf_options() +
loading.get_auth_plugin_conf_options('password'),
loading.get_auth_plugin_conf_options('v2password'),
loading.get_auth_plugin_conf_options('v3password'),
loading.get_auth_plugin_conf_options('password') +
loading.get_auth_plugin_conf_options('v2password') +
loading.get_auth_plugin_conf_options('v3password') +
loading.get_adapter_conf_options(include_deprecated=False)
)]

7
releasenotes/notes/bug-1962406-e239d60400c726c8.yaml

@ -0,0 +1,7 @@
---
fixes:
- |
`bug 1962406` <https://bugs.launchpad.net/oslo.limit/+bug/1962406>`_:
Fixed the wrong format of options data, which was causing failure with
``oslo-config-generator`` command if the ``oslo.limit`` entry point is
included.
Loading…
Cancel
Save